openvpn3-service-backendstart(8)

Name
openvpn3-service-backendstart - OpenVPN 3 Linux VPN client backend starter

SYNOPSIS
openvpn3-service-backendstart [OPTIONS]
openvpn3-service-backendstart -h | --help

DESCRIPTION

This service is automatically started when the openvpn3-service-sessionmgr requests a new VPN tunnel to be initiated. This service has the responsibility to start the openvpn3-service-client process and provide enough information to it so it can register itself against a session object in the openvpn3-service-sessionmgr service.

This service is normally started automatically when needed, via the net.openvpn.v3.backendstart.service auto-start configuration by the dbus-daemon(1), but can also be started manually on the command line. Beware that running this with another user account than _openvpn also requires updating the D-Bus policy as well.

OPTIONS

    -h, --help
        Print usage and help details to the terminal

    --version
        Prints the version of the program and exists

    --idle-exit SECONDS
        Defines how long this service should be running without any tasks to do. Default for openvpn3-service-backendstart is 30 seconds. If set to 0, the idle detection is disabled.

    --log-level LEVEL
        Sets the default log verbosity for log events generated by this service. The default is 3. Valid values are 0 to 6. Higher log levels results in more verbose logs and log level 6 will contain all debug log events.

    --client-log-level LEVEL
        This adds the --log-level option with the given argument when starting the openvpn3-service-client process.

    --client-log-file FILE
        Save the log output to FILE. Alternatively, if the stdout: keyword is used, the log output is sent to the current terminal.

    --client-colour
        This adds the --colour option when starting the openvpn3-service-client process.

    --client-disable-protect-socket
        This adds the --disable-protect-socket option when starting the openvpn3-service-client process.

SEE ALSO

dbus-daemon(1) openvpn3(1) openvpn3-service-client(8)